## org.eclipse.emf.common.ui.wizard
Class AbstractExampleInstallerWizard.FileToOpen

    java.lang.Object
      org.eclipse.emf.common.ui.wizard.AbstractExampleInstallerWizard.FileToOpen

Enclosing class:
  AbstractExampleInstallerWizard

    public static class AbstractExampleInstallerWizard.FileToOpen

extends java.lang.Object

Field Summary
`protected java.lang.String` `editorID`
`protected java.lang.String` `location`
`protected IFile` `workspaceFile`

Constructor Summary
`AbstractExampleInstallerWizard.FileToOpen()`

Method Summary
`java.lang.String` `getEditorID()`
`java.lang.String` `getLocation()`
`IFile` `getWorkspaceFile()`
`void` `setEditorID(java.lang.String editorID)`
`void` `setLocation(java.lang.String location)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### location

    protected java.lang.String location

### editorID

    protected java.lang.String editorID

### workspaceFile

    protected IFile workspaceFile

Constructor Detail

### AbstractExampleInstallerWizard.FileToOpen

    public AbstractExampleInstallerWizard.FileToOpen()

Method Detail

### getEditorID

    public java.lang.String getEditorID()

### setEditorID

    public void setEditorID(java.lang.String editorID)

### getLocation

    public java.lang.String getLocation()

### setLocation

    public void setLocation(java.lang.String location)

### getWorkspaceFile

    public IFile getWorkspaceFile()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.